# $Revision: 1.49 $, $Date: 2008-01-23 20:16:52 $
Summary:	Displays where a particular program in your path is located
Summary(de.UTF-8):	Zeigt an, wo sich ein Programm befindet
Summary(es.UTF-8):	Localiza un programa que está en uno de los directorios de su PATH
Summary(fr.UTF-8):	Recherche un programme dans l'un des répertoires de votre PATH
Summary(pl.UTF-8):	Pokazuje pod jaką ścieżką jest zlokalizowany program
Summary(pt_BR.UTF-8):	Localiza um programa que está em um dos diretórios de seu PATH
Summary(ru.UTF-8):	Показывает, в каком из каталогов в PATH находится программа
Summary(tr.UTF-8):	PATH'de bulunan bir dosyanın yerini bulmayı sağlayan bir araç
Summary(uk.UTF-8):	Показує, в якому з каталогів в PATH знаходиться програма
Name:		which
Version:	2.19
Release:	1
License:	GPL v3+
Group:		Applications/File
Source0:	http://www.xs4all.nl/~carlo17/which/%{name}-%{version}.tar.gz
# Source0-md5:	bbd094cec2444cd78befbc0cf09deea4
Source1:	%{name}.csh
Source2:	%{name}.sh
Source3:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source3-md5:	8c6cfc55ca1046a2812eafd17d29561c
Patch0:		%{name}-info.patch
URL:		http://www.xs4all.nl/~carlo17/which/
# for (static) -liberty
BuildRequires:	binutils-devel
BuildRequires:	texinfo
Requires:	setup >= 2.4.6-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The which command shows the full pathname of a specified program, if
the specified program is in your PATH.

%description -l es.UTF-8
Tu le das un nombre de programa, y el te dirá si está en su 'PATH'.
Por ejemplo, 'which ls' podría imprimir '/bin/ls', porque el programa
ls, que está en uno de los directorios listados en la variable de
ambiente PATH, está localizado en el directorio /bin.

%description -l de.UTF-8
Der which-Befehl zeigt den ganzen Pfadname eines angegebenen
Programms, wenn es sich im PATH befindet.

%description -l fr.UTF-8
La commande which affiche le chemin complet d'un programme spécifié,
si ce programme est dans votre PATH.

%description -l pl.UTF-8
Program 'which' pomoże Ci odszukać dany program i powie Ci czy masz go
w swojej ścieżce.

%description -l pt_BR.UTF-8
Dê a ele um nome de programa, e ele lhe dirá se está no seu 'PATH'.
Por exemplo, 'which ls' poderia imprimir '/bin/ls', porque o programa
ls, que está em um dos diretórios listados na variável de ambiente
PATH, está localizado no diretório /bin.

%description -l ru.UTF-8
Команда 'which' показывает полный путь к указанной программе, если эта
программа есть в вашем пути поиска программ, PATH.

%description -l tr.UTF-8
which bir komut veya programın PATH'inizde bulunup bulunmadığını
belirtir.

%description -l uk.UTF-8
Команда 'which' показує повний шлях до вказаної програми, якщо ця
програма є в вашому шляху пошуку програм, PATH.

%prep
%setup -q
%patch0 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/shrc.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT/etc/shrc.d
bzip2 -dc %{SOURCE3} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
rm -f $RPM_BUILD_ROOT%{_mandir}/README.which-non-english-man-pages

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS EXAMPLES NEWS README*
%attr(755,root,root) %{_bindir}/which
/etc/shrc.d/which.csh
/etc/shrc.d/which.sh
%{_mandir}/man1/which.1*
%lang(fi) %{_mandir}/fi/man1/which.1*
%lang(fr) %{_mandir}/fr/man1/which.1*
%lang(hu) %{_mandir}/hu/man1/which.1*
%lang(it) %{_mandir}/it/man1/which.1*
%lang(pl) %{_mandir}/pl/man1/which.1*
%{_infodir}/which.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: which.spec,v $
Revision 1.49  2008-01-23 20:16:52  glen
- use /sbin/postshell for fix-info-dir

Revision 1.48  2008-01-23 20:12:16  glen
- check-files cleanup

Revision 1.47  2008-01-22 21:24:45  qboosh
- updated to 2.19 (GPL v3)
- updated info patch

Revision 1.46  2007-11-01 20:13:28  qboosh
- updated to 2.18
- added info patch

Revision 1.45  2007/03/06 13:46:59  spider
- rel++
- STBR

Revision 1.44  2007/02/12 22:09:20  glen
- tabs in preamble

Revision 1.43  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.42  2005/03/21 18:14:51  mmazur
- rel5 for th

Revision 1.41  2005/03/19 15:47:19  mmazur
- rel 4 for th (sorry, but am checking everything against gcc4)

Revision 1.40  2004/10/12 20:35:13  mmazur
- rel 3 for th

Revision 1.39  2004/04/29 08:57:57  adgor
- No 755 for /etc/shrc.d/*

Revision 1.38  2004/04/28 11:50:10  havner
- cosmetics

Revision 1.37  2004/04/28 11:48:56  havner
- R: setup >= 2.4.6-2
- which.sh,which.csh -> /etc/shrc.d
- rel up

Revision 1.36  2003/09/16 06:03:41  orzech
- up to 2.1.16 (bugfix release)

Revision 1.35  2003/08/30 22:49:39  mmazur
- rel 2 for ac

Revision 1.34  2003/06/02 15:48:34  ankry
- added/restored non-english-man-pages URL

Revision 1.33  2003/05/25 11:01:34  malekith
- massive attack, adding Source-md5

Revision 1.32  2003/05/25 06:27:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.31  2002/07/27 16:18:06  kloczek
- merge translations from KSI.

Revision 1.30  2002/07/26 21:16:10  qboosh
- added missing info file

Revision 1.29  2002/07/26 15:40:35  blues
- 2.14 (fixes for bash 2.05b and for new ac/am)
- new doc
- use proper configure macro
STBR

Revision 1.28  2002/02/23 05:04:59  kloczek
- adapterized.

Revision 1.27  2002/02/22 23:29:58  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/01/18 02:15:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2001/11/16 10:43:33  kloczek
- updated to 2.13,
- merged translation stolen from CNV.

Revision 1.24  2001/11/15 23:32:30  ankry
- added fi, fr, hu, it, pl man pages
- release 3

Revision 1.23  2001/08/09 03:13:01  agaran
s/configure/configure2_13/
adding aclocal/autoconf to %build dont help

Revision 1.22  2000/09/28 17:40:31  kloczek
- release 2: added using rpm new automation suit.

Revision 1.21  2000/09/18 07:32:13  kloczek
- updated to 2.12,
- spec adapterized.

Revision 1.20  2000/07/25 06:13:15  kloczek
- updated to 2.11.

Revision 1.19  2000/06/09 07:55:13  kloczek
- more %%{__make} macros.

Revision 1.18  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.17  2000/04/01 11:15:57  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.15  2000/03/26 07:35:16  kloczek
- updated to 2.9,
- spec adapterized,
- added sh/csh default shell alias for which.

Revision 1.14  1999/09/01 00:36:31  kloczek
- release 2 (in rewhide is 1),
- added using %%configure macro.

Revision 1.13  1999/08/31 20:16:21  pius
- updated to 2.8

Revision 1.12  1999/07/12 23:06:17  kloczek
- added using CVS keywords in %changelog (for automating them).

